ESG Case
Get properties of an ESG case by its id
Request
Parameters
case_id*uuidUnique identifier of the case.
Example: "5eb7182b-9b55-4f7a-b3e1-49062ee7cef9"fields(string (enum))[]Fields to include in the response
Values: "id", "categories", "entity_id", "dashboard_url", "last_activity", "score", "start_date", "sub_categories", "summary", "title", "related_events_count", "related_documents_count", "ungc_classification", "ungc_principles", "translated...translatelanguage-code (enum)In which language to translate the results.
Default translated fields are:
title,summary.If empty,
translated_fields won't be returned.Example:
Values: "af", "afr", "afrikaans", "albanian", "am", "amh", "amharic", "ar", "ara", "arabic", "armenian", "az", "aze", "azerbaijani", "ben", "bengali", "bg", "bn", "bos", "bosnian", "bs", "bul", "bulgarian", "ca", "cat", "catalan", "chinese"...french
Response
Properties of the case
iduuidUnique identifier of the case.
Example: "5eb7182b-9b55-4f7a-b3e1-49062ee7cef9"categories(string (enum))[]List of categories assigned to the case.
Values: "E", "S", "G"entity_iduuidPermanent ID of the related entity.
Example: "f337e172-528e-4808-b46e-be1ad6db7fbb"dashboard_urluri | nullLink to the case in SESAMm's Dashboard.
Example: "https://dashboards.textreveal.com/case/5eb7182b-9b55-4f7a-b3e1-49062ee7cef9"last_activitystringLast activity detected on the case. Corresponds to the date of the newest document associated to the case.
Example: "2025-11-07T08:35:37.658Z"scoreintegerIntensity score.
Range: [1, 5]start_datestringCase start date. Corresponds to the date of the oldest document associated to the case.
Example: "2025-10-06T04:55:21.713Z"sub_categoriesstring[]List of sub-categories assigned to the case.
Example: ["Climate Change"]summarystring | nullSummary of the case.
Example: "string"titlestringTitle of the case.
Example: "string"ungc_classificationstring | null (enum)Maximum UNGC classification of the events related to the case.
Values: "violator", "watchlist", "low risk"ungc_principles(string (enum))[]List of UNGC principles of the events related to the case.
Values: "Principle 1: Businesses should support and respect the protection of internationally proclaimed human rights.", "Principle 2: Businesses should make sure that they are not complicit in human rights abuses.", "Principle 3: Businesse...translated_titlestring | nullTranslated version of
Example: "string"titlefield. Seetranslatequery parameter.translated_summarystring | nullTranslated version of
Example: "string"summaryfield. Seetranslatequery parameter.
{
"id": "5eb7182b-9b55-4f7a-b3e1-49062ee7cef9",
"categories": [
"E"
],
"entity_id": "f337e172-528e-4808-b46e-be1ad6db7fbb",
"dashboard_url": "https://dashboards.textreveal.com/case/5eb7182b-9b55-4f7a-b3e1-49062ee7cef9",
"last_activity": "2025-11-07T08:35:37.658Z",
"score": 2,
"start_date": "2025-10-06T04:55:21.713Z",
"sub_categories": [
"Climate Change",
"Water Pollution"
],
"summary": "string",
"title": "string",
"related_events_count": 8,
"related_documents_count": 43,
"ungc_classification": "violator",
"ungc_principles": [
"Principle 1: Businesses should support and respect the protection of internationally proclaimed human rights.",
"Principle 2: Businesses should make sure that they are not complicit in human rights abuses."
],
"translated_title": "string",
"translated_summary": "string"
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*number (enum)Error code.
Values: 403reason*string (enum)Values: "forbidden"
{
"message": "Not authorized to access this resource",
"code": 403,
"reason": "forbidden"
}Not found
message*stringExample: "[record] not found."code*number (enum)Error code.
Values: 404reason*string (enum)Values: "not_found"
{
"message": "[record] not found.",
"code": 404,
"reason": "not_found"
}